## fabulous 0.1.5+dfsg1

=== debian/changelog ===
fabulous (0.1.5+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #705947)
  * The licensing of the fonts file is unclear, hence removal from the source
    package.
  * Patch the except: statements to always specify a type.

 -- Simon Chopin <chopin.simon@gmail.com>  Mon, 08 Jul 2013 19:45:29 -0400
