=== debian/control ===
Source: fabulous
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Simon Chopin <chopin.simon@gmail.com>
Build-Depends:
 debhelper (>= 9),
 python-all (>= 2.6.6-3~),
 python-grapefruit,
 python-sphinx (>= 1.0.7+dfsg),
 python-setuptools
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
Homepage: http://lobstertech.com/fabulous.html
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/fabulous/trunk
Vcs-Browser: http://anonscm.debian.org/viewsvn/python-modules/packages/fabulous/trunk/

Package: python-fabulous
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python module to make your terminal output fabulous
 Fabulous is a Python library designed to make the output of terminal
 applications look fabulous. Fabulous allows you to print colors, images, and
 stylized text to the console (without curses.) Fabulous also offers features
 to improve the usability of Python's standard logging system.

Package: python-fabulous-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python module to make your terminal output fabulous - documentation
 Fabulous is a Python library designed to make the output of terminal
 applications look fabulous. Fabulous allows you to print colors, images, and
 stylized text to the console (without curses.) Fabulous also offers features
 to improve the usability of Python's standard logging system.
 .
 This package provides the documentation for fabulous.
