=== debian/rules ===
#!/usr/bin/make -f
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
%:
	dh $@ --with python2,sphinxdoc

build-arch:
	mkdir -p debian/tmp
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -fPIC -shared -o xtermspeedup.so fabulous/_xterm256.c

override_dh_auto_build-indep:
	dh_auto_build -i
	PYTHONPATH=$(shell pwd) make -C docs/ html

override_dh_auto_install-arch:
	dh_auto_install -a
	rm -f debian/tmp/usr/lib/python2*/dist-packages/fabulous*.egg-info/SOURCES.txt
	mv xtermspeedup.so debian/tmp

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/_build

override_dh_sphinxdoc-arch:
