=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg\d+// \
http://lobstertech.com/fabulous.html /media/file/fabulous/fabulous-(.*)\.tar\.gz debian debian/repack.sh
