## fabulous 0.3.0+dfsg1

=== debian/changelog ===
fabulous (0.3.0+dfsg1-8) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Jonathan Carter ]
  * Update debhelper-compat to level 13
  * Add lintian-override for shared-library-lacks-prerequisites
    (this binary has no prerequisites)

 -- Jonathan Carter <jcc@debian.org>  Thu, 22 Oct 2020 12:06:47 +0200

fabulous (0.3.0+dfsg1-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Jonathan Carter ]
  * Fix debian/rules for building xtermspeedup.so (Closes: #952242)
  * Update standards version to 4.5.0
  * Update debhelper-compat to level 12
  * Declare Rules-Requires-Root: no
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Fri, 17 Apr 2020 20:25:27 +0200
