=== debian/control ===
Source: fabulous
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-doc,
               python3-minimal,
               python3-pil,
               python3-setuptools,
               python3-sphinx,
               python3-sphinxcontrib.programoutput
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://jart.github.io/fabulous/
Vcs-Git: https://salsa.debian.org/python-team/packages/fabulous.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/fabulous
Testsuite: autopkgtest-pkg-python

Package: python3-fabulous
Breaks: python-fabulous, python-fabulous-doc, python3-fabulous-doc
Replaces: python-fabulous, python-fabulous-doc, python3-fabulous-doc
Architecture: any
Depends: fonts-noto,
         python3-pil,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends}
Description: Python module to make your terminal output fabulous
 Fabulous is a Python library designed to make the output of terminal
 applications look fabulous. Fabulous allows you to print colors, images, and
 stylized text to the console (without curses.) Fabulous also offers features
 to improve the usability of Python's standard logging system.
