=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -fPIC -shared -o xtermspeedup.so fabulous/_xterm256.c
	dh_auto_build


override_dh_auto_build-indep:
	dh_auto_build -i
	PYTHONPATH=$(shell pwd) make -C docs/ html

override_dh_auto_install-arch:
	dh_auto_install -a
	rm \
		debian/python3-fabulous/usr/lib/python3*/dist-packages/fabulous/balls.png \
		debian/python3-fabulous/usr/lib/python3*/dist-packages/fabulous/demo.py

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/python3-fabulous/usr/share/doc/python3-fabulous/examples
	mv debian/python3-fabulous/usr/bin/fabulous-* \
	   debian/python3-fabulous/usr/share/doc/python3-fabulous/examples

override_dh_auto_install-indep:

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/_build

override_dh_sphinxdoc-arch:
