=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fabulous-$1\.tar\.gz/,\
     dversionmangle=s/\+dfsg\d*$//,\
     repacksuffix=+dfsg1 \
     https://github.com/jart/fabulous/tags .*/v?(\d\S*)\.tar\.gz
