## fabulous 0.4.0+dfsg1

=== debian/changelog ===
fabulous (0.4.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Remove fonts-noto from depends, add fonts-noto-core to recommends
    (Closes: #983247)
  * Update standards version to 4.6.1

 -- Jonathan Carter <jcc@debian.org>  Thu, 02 Sep 2021 08:09:04 +0200
