=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinxcontrib.programoutput
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://jart.github.io/fabulous/
 Vcs-Git: https://salsa.debian.org/python-team/packages/fabulous.git
@@ -23,12 +23,12 @@
 Breaks: python-fabulous, python-fabulous-doc, python3-fabulous-doc
 Replaces: python-fabulous, python-fabulous-doc, python3-fabulous-doc
 Architecture: any
-Depends: fonts-noto,
-         python3-pil,
+Depends: python3-pil,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
          ${sphinxdoc:Depends}
+Recommends: fonts-noto-core
 Description: Python module to make your terminal output fabulous
  Fabulous is a Python library designed to make the output of terminal
  applications look fabulous. Fabulous allows you to print colors, images, and
