=== docs/requirements.txt ===
sphinx >= 8.0.0
sphinx-rtd-theme >= 3.0.0
sphinxcontrib-bibtex >= 2.4.0
sphinx-prompt >= 1.5.0
fasm >= 0.0.2
